Bug 1812703

Summary: Package kernel-core is changed in repository
Product: [Fedora] Fedora Reporter: Iskatel <sunny0sergey>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 30CC: airlied, bskeggs, hdegoede, ichavero, itamar, jarodwilson, jeremy, jglisse, john.j5live, jonathan, josef, kernel-maint, linville, masami256, mchehab, mjg59, steved, y9t7sypezp
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-05-26 18:26:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
the screenshot of package, opened in Xarchiver none

Description Iskatel 2020-03-11 22:16:06 UTC
Created attachment 1669452 [details]
the screenshot of package, opened in Xarchiver

1. Please describe the problem:

Package kernel-core-5.5.8-100.fc30.x86_64 is changed to kernel-modules-5.5.8-100.fc30.x86_64 in repository.
Package was downloaded from  http://mirror.linux-ia64.org/fedora/linux/updates/30/Everything/x86_64/Packages/k/kernel-core-5.5.8-100.fc30.x86_64.rpm

2. What is the Version-Release number of the kernel:

5.5.8-100

Comment 1 Steve 2020-03-12 03:23:49 UTC
I'm not sure what problem you are reporting, but the kernel-core package has some modules:

$ rpm -ql -p kernel-core-5.5.8-100.fc30.x86_64.rpm | fgrep '/lib/modules' | wc -l
2586

If you are concerned about the integrity of the package, check the signature:

$ rpm -qi -p kernel-core-5.5.8-100.fc30.x86_64.rpm | fgrep Sign
Signature   : RSA/SHA256, Fri 06 Mar 2020 05:00:29 AM PST, Key ID ef3c111fcfc659b9

$ rpmkeys --verbose --checksig kernel-core-5.5.8-100.fc30.x86_64.rpm
kernel-core-5.5.8-100.fc30.x86_64.rpm:
    Header V3 RSA/SHA256 Signature, key ID cfc659b9: OK
    Header SHA256 digest: OK
    Header SHA1 digest: OK
    Payload SHA256 digest: OK
    V3 RSA/SHA256 Signature, key ID cfc659b9: OK
    MD5 digest: OK

See, also, "man rpmkeys".

Comment 2 Ben Cotton 2020-04-30 20:21:32 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-05-26 18:26:09 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.